Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Files
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
    • GET a list of documents
    • GET one document
    • POST (create) a batch of documents
  • Files
    • GET one or more OS files
      GET
    • POST (upload) one or more OS files
      POST
    • GET one OS file
      GET
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. Files

GET one OS file

GET
/clients/{clientno}/files/{logitemid}
Get (download) one OS file based on log item ID as path parameter. The report or export file connected to the log item will be returned

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
File found
Body

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//files/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - File
{
    "clientNo": 2218,
    "name": "Report.csv",
    "extension": "csv",
    "logItemId": 212050814,
    "arAccountNo": 0,
    "referenceNo": 0,
    "type": "LogItem",
    "serialize": "",
    "description": "Ledger/AR report (2218)",
    "externalMemo": "Report generated ad hoc as requested",
    "content": "VGhpcyBpcyBhbiBleGFtcGxl"
}
Modified at 2026-04-14 09:49:15
Previous
POST (upload) one or more OS files
Next
Get one GL item
Built with